.payment-request-widget {
  font-family: 'Istok Web', sans-serif;
  color: $nlbDarkestGreyColor;

  h4 {
    color: $navigationLabelGray;
  }

  .tpp-name {
    font-size: 16px;
    line-height: 23px;
  }
  .valid-licence {
    color: $nlbMainGreyColor;
    font-size: 13px;
    line-height: 19px;
  }

  .payment-consent-header {
    color: $nlbMainGreyColor;
    font-size: 15px;
    line-height: 20px;
  }

  .payment-consent-box {
    &-check-icon {
      color: $nlbGreenColor;
      font-weight: 900;
    }
  }
  .payment-consent-line {
    border-top: 1px solid $nlbLightGreyColor;
    padding: 0;
    margin: 0;
  }

  .payment-consent-information {
    padding: 10px 0;

    .info-wrapper {
      margin-bottom: 10px;
      &-creditor-name {
        display: block;
        font-size: 15px;
        line-height: 20px;
        font-weight: bold;
        color: $nlbDarkGreyColor;
      }
      &-creditor-iban {
        display: block;
        font-size: 14px;
        line-height: 20px;
        color: $nlbDarkestGreyColor;
      }

      label {
        margin-bottom: 0;
        font-size: 14px;
        line-height: 21px;
        display: block;
        color: $nlb-gray-7;
      }

      span {
        display: block;
        font-size: 14px;
        line-height: 20px;
        color: $nlbDarkestGreyColor;
      }
    }
  }

  .payment-consent-amount {
    font-family: Roboto;
    color: $nlbDarkGreyColor;
    font-size: 17px;
    line-height: 26px;
    text-align: right;
    font-weight: bold;
    label {
      font-weight: normal;
      font-family: 'Istok Web', sans-serif;
      color: $nlbMainGreyColor;
      font-size: 14px;
    }
  }
  .payment-consent-fee {
    font-family: Roboto;
    color: $nlbDarkGreyColor;
    font-size: 14px;
    line-height: 20px;
    text-align: right;
    label {
      font-family: 'Istok Web', sans-serif;
      color: $nlbMainGreyColor;
      font-size: 14px;
    }
  }
}

.otp-modal {
  font-family: 'Istok Web';
  font-size: 14px;
  line-height: 16px;
  color: $nlbMainGreyColor;
  &-amount {
    color: $nlbDarkGreyColor;
    font-family: Roboto;
    font-size: 24px;
    font-weight: bold;
    line-height: 28px;
  }
  &-iban {
    color: $nlbDarkestGreyColor;
    font-family: Roboto;
    font-size: 14px;
    line-height: 20px;
    span {
      font-family: 'Istok Web';
      font-size: 14px;
      line-height: 16px;
      color: $nlbMainGreyColor;
    }
  }
  &-resend {
    label {
      font-size: 14px;
      line-height: 16px;
    }

    span {
      color: $nlb-gray-a;
      font-family: Roboto;
      font-size: 16px;
      line-height: 16px;
      text-align: right;
    }
  }
}
